/************************************************************************
 *   IRC - Internet Relay Chat, include/m_wall.h
 *   This file is copyright (C) 2001 Andrew Suffield
 *                                    <asuffield@users.sourceforge.net>
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 */

#ifndef INCLUDED_m_wall_h
#define INCLUDED_m_wall_h
#ifndef INCLUDED_config_h
#include "config.h"
#endif
#include "client.h"
#include <sys/types.h>

struct wall_name_t
{
  char *name;
  u_int32_t value;
};

#define WALL_UNUSED    0
#define WALL_USERS     0x00000001
#define WALL_OPERS     0x00000002
#define WALL_NEWS      0x00000004
#define WALL_CRITICAL  0x00000008
#define WALL_PUBLIC    0x00000010

#define WALL_DEFAULT   (WALL_USERS | WALL_NEWS | WALL_CRITICAL | WALL_PUBLIC)

/* The first and second elements are hardcoded to WALLOPS and OPERWALL in
 * the old m_wallops() and m_operwall() functions. These commands are
 * deprecated.
 *  -- asuffield
 */

extern struct wall_name_t wall_types[];

extern void update_wall_from_umodes(struct Client *);
extern void update_umodes_from_wall(struct Client *);
extern char *wall_string_from_flags(u_int32_t flags);

#endif
